import React from 'react';
import { JsonFormsStateContext } from '@jsonforms/react';
import { ControlElement, JsonFormsRendererRegistryEntry, JsonFormsState, JsonSchema, UISchemaElement, UISchemaTester } from '@jsonforms/core';
export interface OwnPropsOfSpectrumArrayModalItem {
    DNDHandle: any;
    callbackOpenedIndex: any;
    childData?: any;
    childLabel: string;
    duplicateItem(index: number): () => void;
    enabled: boolean;
    index: number;
    moveDownCreator?: ((path: string, position: number) => () => void) | undefined;
    moveUpCreator?: ((path: string, position: number) => () => void) | undefined;
    openIndex: number;
    path: string;
    removeItem(path: string, value: number): () => void;
    renderers?: JsonFormsRendererRegistryEntry[];
    rowIndex?: number;
    schema: JsonSchema;
    uischema: ControlElement;
    uischemas?: {
        tester: UISchemaTester;
        uischema: UISchemaElement;
    }[];
}
/**
 * Map state to control props.No indexOfFittingSchema found
 * @param state the store's state
 * @param ownProps any own props
 * @returns {StatePropsOfControl} state props for a control
 */
export declare const mapStateToSpectrumArrayModalItemProps: (state: JsonFormsState, ownProps: OwnPropsOfSpectrumArrayModalItem) => OwnPropsOfSpectrumArrayModalItem;
export declare const ctxToSpectrumArrayModalItemProps: (ctx: JsonFormsStateContext, ownProps: OwnPropsOfSpectrumArrayModalItem) => OwnPropsOfSpectrumArrayModalItem;
export declare const withJsonFormsSpectrumArrayModalItemProps: (Component: React.ComponentType<OwnPropsOfSpectrumArrayModalItem>) => React.ComponentType<any>;
declare const _default: React.ComponentType<any>;
export default _default;
