import { Mark } from '@tiptap/core';
export interface MarkerOptions {
    HTMLAttributes: Record<string, any>;
    classes: Array<string>;
    tag: string;
    excludes: string;
    shortcuts: Array<string>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        marker: {
            /**
             * Set a marker
             */
            setMarker: (attributes?: {
                class: string;
            } | {
                class: string;
                tag: string;
            }) => ReturnType;
            /**
             * Toggle a marker
             */
            toggleMarker: (attributes?: {
                class: string;
            } | {
                class: string;
                tag: string;
            }) => ReturnType;
            /**
             * Unset a marker
             */
            unsetMarker: () => ReturnType;
        };
    }
}
export declare const Marker: Mark<MarkerOptions, any>;
