import { Node } from '@tiptap/core';
export interface MarkerOptions {
    HTMLAttributes: Record<string, any>;
    classes: Array<string>;
    tag: string;
    excludes: string;
    shortcuts: Array<string>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        nodeWithClass: {
            /**
             * Set a nodeWithClass
             */
            setNodeWithClass: (attributes: {
                class: string;
                tag: string;
            }) => ReturnType;
            /**
             * Toggle a nodeWithClass
             */
            toggleNodeWithClass: (attributes: {
                class: string;
                tag: string;
            }) => ReturnType;
            /**
             * Unset a nodeWithClass
             */
            unsetNodeWithClass: () => ReturnType;
        };
    }
}
export declare const nodeWithClass: Node<MarkerOptions, any>;
